Returns the authenticated caller's identity, capability statuses (`broker` / `investor` → `active` | `pending` | `inactive`), primary team, and any additional teams the caller is a member of or has been invited to.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/auth/me
curl https://app.propstreet.com/api/v1/auth/me \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "email": null,
  "phone": null,
  "firstName": null,
  "lastName": null,
  "capabilities": {
    "additionalProperty": "string"
  },
  "culture": "string",
  "uiCulture": "string",
  "region": "string",
  "timeZone": "string",
  "isBot": true,
  "emailConfirmed": true,
  "phoneConfirmed": true,
  "profilePictureUrl": null,
  "primaryTeam": {
    "id": "string",
    "name": "string",
    "plan": "string",
    "country": null,
    "legalName": null,
    "vatNumber": null,
    "homepageUrl": null,
    "description": null,
    "profilePictureUrl": null,
    "categories": [
      "string"
    ],
    "strategy": null,
    "investmentCapacity": {
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "restrictedInvestmentSize": {
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "propertyValue": {
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "propertyCount": {
      "min": 0,
      "max": 0
    },
    "leasableArea": {
      "min": 0,
      "max": 0
    },
    "createdUtc": "2026-05-18T20:22:36.959Z",
    "contactPerson": {
      "id": "string",
      "firstName": null,
      "lastName": null
    },
    "membership": {
      "role": "string",
      "status": "string",
      "jobTitle": null,
      "joinedUtc": "2026-05-18T20:22:36.959Z"
    },
    "members": [
      {
        "id": "string",
        "user": {
          "id": "string",
          "email": null,
          "phone": null,
          "firstName": null,
          "lastName": null
        },
        "role": "string",
        "status": "string",
        "jobTitle": null,
        "joinedUtc": "2026-05-18T20:22:36.959Z"
      }
    ],
    "memberCount": "string",
    "hasMoreMembers": null
  },
  "secondaryTeams": [
    {
      "id": "string",
      "name": "string",
      "plan": "string",
      "country": null,
      "legalName": null,
      "vatNumber": null,
      "homepageUrl": null,
      "description": null,
      "profilePictureUrl": null,
      "categories": [
        "string"
      ],
      "strategy": null,
      "investmentCapacity": {
        "min": 0,
        "max": 0,
        "currency": "string",
        "scale": "string"
      },
      "restrictedInvestmentSize": {
        "min": 0,
        "max": 0,
        "currency": "string",
        "scale": "string"
      },
      "propertyValue": {
        "min": 0,
        "max": 0,
        "currency": "string",
        "scale": "string"
      },
      "propertyCount": {
        "min": 0,
        "max": 0
      },
      "leasableArea": {
        "min": 0,
        "max": 0
      },
      "createdUtc": "2026-05-18T20:22:36.959Z",
      "contactPerson": {
        "id": "string",
        "firstName": null,
        "lastName": null
      },
      "membership": {
        "role": "string",
        "status": "string",
        "jobTitle": null,
        "joinedUtc": "2026-05-18T20:22:36.959Z"
      },
      "members": [
        {
          "id": "string",
          "user": {
            "id": "string",
            "email": null,
            "phone": null,
            "firstName": null,
            "lastName": null
          },
          "role": "string",
          "status": "string",
          "jobTitle": null,
          "joinedUtc": "2026-05-18T20:22:36.959Z"
        }
      ],
      "memberCount": "string",
      "hasMoreMembers": null
    }
  ]
}